<?php
global $bauen_options; $post;
$bauen_options = get_option('bauen');
function bauen_style() {
wp_enqueue_style('bauen-style', (BAUEN_THEME_URL . '/style.css'));
wp_enqueue_style('bootstrap', (BAUEN_THEME_URL . '/includes/css/plugins/bootstrap-min.css'));
wp_enqueue_style('owl-carousel', (BAUEN_THEME_URL . '/includes/css/plugins/owl-carousel-min.css'));
wp_enqueue_style('owl-theme-default', (BAUEN_THEME_URL . '/includes/css/plugins/owl-theme-default-min.css'));
wp_enqueue_style('animate', (BAUEN_THEME_URL . '/includes/css/plugins/animate-min.css'));
wp_enqueue_style('themify-icons', (BAUEN_THEME_URL . '/includes/css/plugins/themify-icons.css'));
wp_enqueue_style('helper', (BAUEN_THEME_URL . '/includes/css/plugins/helper.css'));
wp_enqueue_style('magnific-popup', (BAUEN_THEME_URL . '/includes/css/plugins/magnific-popup.css'));
wp_enqueue_style('YouTubePopUp', (BAUEN_THEME_URL . '/includes/css/plugins/YouTubePopUp.css'));
wp_enqueue_style('fontawesome-pro', (BAUEN_THEME_URL . '/includes/css/fontawesome-pro.css'));
wp_enqueue_style('bauen-map', (BAUEN_THEME_URL . '/includes/css/map.css'));
// MultiPage CSS
wp_register_style('bauen-style-fullscreen-multipage-light', (BAUEN_THEME_URL . '/includes/css/style-fullscreen-multipage-light.css'));
wp_register_style('bauen-style-fullscreen-multipage-dark', (BAUEN_THEME_URL . '/includes/css/style-fullscreen-multipage-dark.css'));
wp_register_style('bauen-style-fullscreen-toggle-menu-multipage-light', (BAUEN_THEME_URL . '/includes/css/style-fullscreen-toggle-menu-multipage-light.css'));
wp_register_style('bauen-style-fullscreen-toggle-menu-multipage-dark', (BAUEN_THEME_URL . '/includes/css/style-fullscreen-toggle-menu-multipage-dark.css'));
wp_register_style('bauen-style-toggle-menu-multipage-light', (BAUEN_THEME_URL . '/includes/css/style-toggle-menu-multipage-light.css'));
wp_register_style('bauen-style-toggle-menu-multipage-dark', (BAUEN_THEME_URL . '/includes/css/style-toggle-menu-multipage-dark.css'));
wp_register_style('bauen-style-multipage-lightsidebar', (BAUEN_THEME_URL . '/includes/css/style-multipage-lightsidebar.css'));
wp_register_style('bauen-style-multipage-darksidebar', (BAUEN_THEME_URL . '/includes/css/style-multipage-darksidebar.css'));
wp_register_style('bauen-style-multipage-light', (BAUEN_THEME_URL . '/includes/css/style-multipage-light.css'));
wp_register_style('bauen-style-multipage-dark', (BAUEN_THEME_URL . '/includes/css/style-multipage-dark.css'));
// OnePage CSS
wp_register_style('bauen-style-fullscreen-onepage-light', (BAUEN_THEME_URL . '/includes/css/style-fullscreen-onepage-light.css'));
wp_register_style('bauen-style-fullscreen-onepage-dark', (BAUEN_THEME_URL . '/includes/css/style-fullscreen-onepage-dark.css'));
wp_register_style('bauen-style-onepage-lightsidebar', (BAUEN_THEME_URL . '/includes/css/style-onepage-lightsidebar.css'));
wp_register_style('bauen-style-onepage-darksidebar', (BAUEN_THEME_URL . '/includes/css/style-onepage-darksidebar.css'));
wp_register_style('bauen-style-onepage-light', (BAUEN_THEME_URL . '/includes/css/style-onepage-light.css'));
wp_register_style('bauen-style-onepage-dark', (BAUEN_THEME_URL . '/includes/css/style-onepage-dark.css'));

wp_enqueue_style('bauen-main-style', (BAUEN_THEME_URL . '/includes/css/bauen-main-style.css'));
if (Bauen_AfterSetupTheme::return_thme_option('enable_preloader')!='no'){
wp_enqueue_style('bauen-preloader-style', (BAUEN_THEME_URL . '/includes/css/preloader-style.css'));
}
if (Bauen_AfterSetupTheme::return_thme_option('scrollbar')=='st2'){
wp_enqueue_style('bauen-scrollbar-style', (BAUEN_THEME_URL . '/includes/css/scrollbar-style.css'));
}
if (Bauen_AfterSetupTheme::return_thme_option('image_logo')!='st2'){
wp_enqueue_style('bauen-logo-style', (BAUEN_THEME_URL . '/includes/css/logo-style.css'));
}
if (Bauen_AfterSetupTheme::return_thme_option('image_logo')=='st2'){
wp_enqueue_style('bauen-logo-img-style', (BAUEN_THEME_URL . '/includes/css/logo-img-style.css'));
}
if (Bauen_AfterSetupTheme::return_thme_option('image_logo')!='st2'){
wp_enqueue_style('bauen-sticky-logo-style', (BAUEN_THEME_URL . '/includes/css/sticky-logo-style.css'));
}

}
add_action('wp_enqueue_scripts', 'bauen_style');

function bauen_fonts_url() {
    $bauen_font_url = '';
    
    if ( 'off' !== _x( 'on', 'Oswald font: on or off', 'bauen' ) ) {
		$bauen_font_url = add_query_arg( 'family','Didact+Gothic|Oswald:200,300,400,500,600,700&display=swap' , "//fonts.googleapis.com/css" );
    }
    return $bauen_font_url;
}

function bauen_scripts() {
    wp_enqueue_style( 'bauen_fonts', bauen_fonts_url(), array(), '1.0.0' );
}
add_action( 'wp_enqueue_scripts', 'bauen_scripts' );

function bauen_enqueue_custom_admin_style() {
wp_enqueue_style( 'bauen_wp_admin_css', (BAUEN_THEME_URL . '/includes/css/admin-style.css'), false, '1.0.0' );

}
add_action( 'admin_enqueue_scripts', 'bauen_enqueue_custom_admin_style' );